part of 'register_form_bloc.dart';

@freezed
class RegisterFormEvent with _$RegisterFormEvent {
  const factory RegisterFormEvent.phoneNumberChanged(String phoneNumber) =
      _PhoneNumberChanged;
  const factory RegisterFormEvent.nameChanged(String name) = _NameChanged;
  const factory RegisterFormEvent.birthDateChanged(DateTime birthDate) =
      _BirthDateChanged;
  const factory RegisterFormEvent.submitted() = _Submitted;
}
